Subject: Successful UEFI Manual installation on Guix 1.3.0

From: Octavio Toscano <[email-masked]>
Date: Sun, 27 Nov 2022 18:47:39 -0600

Glossary:
BIOS: Basic Input Output System
GPU: Graphics Processor Unit
GPT: GUID Partition Table
EFI: Extensible Firmware Interface
CSM: Compatibility Support Module

Equipment:
Toshiba Satellite C40D-A
GPU: Radeon HD 8330

bug #0: Graphical Installer
Description: Unexpected problem
Logs:

Workaround Solution:

Overview:
The follow recipe is for user's Guix and GNU/Linux beginners that wants to
start with advance science GNU/Linux 100% Free Software distribution.

Step 1: Enter to BIOS
Step 1.1 setup defaults
Step 1.2 setup UEFI
Step 1.2.1: Remove signature UEFI that lock GNU/Linux 100% Free Software
distributions

Step 2: Run Guix Installer 1.3.0
Step 3: Select Manual Installation
Step 4: Review the instructions carefully on the manual installation guide.

Step 5: Use GPT on your HDD
Step 6: Create three partitions with parted
Step 6.1 I suggest EFI partition 1 size 300 GB
Step 6.2 I suggest system partition 2 size 90 GB
Step 6.3 I suggest Swap partition 3 size 10 GB

Step 7: Make file system partition formats
Step 7.1: EFI partition mkfs.fat -F32 /dev/sda1
Step 7.2: system partition mkfs.ext4 /dev/sda2
Step 7.3: Swap partition mkswap /dev/sda3

Step 8: I suggest to use bare-bone.scm to configure your install system.

Step 9: Install the system.

Step 10: GRUB edit the command linux before booting adding
modprob.blacklist=Radeon

Step 10: Review your Guix system was install successfully

Notes: The Guix installer 1.3.0 had a better graphical performance than
BIOS setup CSM.

Bug root cause:
Graphical Installer Process

Feel free to reach me out
engineer.octavio <at> member.fsf.org

Solution:

Ing. Octavio Toscano

Familia Amor Salud Dinero Libertad